## org.jfree.data.xml
Class CategorySeriesHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.jfree.data.xml.CategorySeriesHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, DatasetTags, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class CategorySeriesHandler
extends org.xml.sax.helpers.DefaultHandler
implements DatasetTags

A handler for reading a series for a category dataset.

Field Summary

Fields inherited from interface org.jfree.data.xml.DatasetTags
`CATEGORYDATASET_TAG, ITEM_TAG, KEY_TAG, PIEDATASET_TAG, SERIES_TAG, VALUE_TAG`

Constructor Summary
`CategorySeriesHandler(RootHandler root)` Creates a new item handler.

Method Summary
`void` `addItem(java.lang.Comparable key, java.lang.Number value)` Adds an item to the temporary storage for the series.
`void` `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` The end of an element.
`void` `setSeriesName(java.lang.String name)` Sets the series name.
`void` `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` The start of an element.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategorySeriesHandler

    public CategorySeriesHandler(RootHandler root)

  Creates a new item handler.

Parameters:
  `root` - the root handler.

Method Detail

### setSeriesName

    public void setSeriesName(java.lang.String name)

  Sets the series name.

  Parameters:
    `name` - the name.

### addItem

    public void addItem(java.lang.Comparable key,
                        java.lang.Number value)

  Adds an item to the temporary storage for the series.

  Parameters:
    `key` - the key.
    `value` - the value.

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  The start of an element.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `namespaceURI` - the namespace.
    `localName` - the element name.
    `qName` - the element name.
    `atts` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - for errors.

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)

  The end of an element.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `namespaceURI` - the namespace.
    `localName` - the element name.
    `qName` - the element name.